com.mapinfo.midev.feature

## Class KeyType

- java.lang.Object
- - java.lang.Enum
  - - com.mapinfo.midev.feature.KeyType

All Implemented Interfaces:
  Serializable, Comparable

    public final class KeyType
    extends Enum

Enumeration class for the types of keys that may be defined for a feature collection.

See Also:
  Serialized Form

### Field Summary

Fields
`static KeyType` `EXPLICIT` Indicates that the feature collection has a key and the key is determined by attribute values in the feature.
`static KeyType` `IMPLICIT` Indicates that the feature collection has a key but the contents of the key are implicitly determined.
`static KeyType` `NONE` Indicates that a feature collection does not have a key.

### Method Summary

All Methods Static Methods Concrete Methods
`static KeyType` `valueOf(String name)`
`static KeyType[]` `values()`

### Methods inherited from class java.lang.Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### NONE

    public static final KeyType NONE

Indicates that a feature collection does not have a key.

#### IMPLICIT

    public static final KeyType IMPLICIT

Indicates that the feature collection has a key but the contents of the key are implicitly determined. Typically this is as a result of a pseudo value such as ROWID.

#### EXPLICIT

    public static final KeyType EXPLICIT

Indicates that the feature collection has a key and the key is determined by attribute values in the feature.

### Method Detail

#### values

    public static KeyType[] values()

#### valueOf

    public static KeyType valueOf(String name)